Skip to content

Soft-delete criterion

DELETE
/api/v1/criteria/{id}
curl --request DELETE \
--url 'https://example.com/api/v1/criteria/example?projectId=00000000-0000-0000-0000-000000000000'
id
required
string
projectId
required

Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.

string
>= 1 characters
Example
00000000-0000-0000-0000-000000000000

Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.

Success

Media type application/json
object
id
required
string
deleted
required
boolean
Example generated
{
"id": "example",
"deleted": true
}

Criterion not found

Criterion has dependents